Cyan Web API - Version 1


GET api/messageAudits?{messageId}

            Gets all of the MessageAudit resources for a given MessageId
            

Request Information

Parameters

NameDescriptionAdditional information
messageId
No documentation available.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "messageAuditId": "c3a7df81-2ace-438f-939a-7625434574e6",
    "messageId": "60bc8a93-8c53-429e-828a-da655b2f05be",
    "messageAuditTypeId": "39dffac6-d295-4ba2-9c10-03224f41e801",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:44.7725222+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.7725222+00:00"
  },
  {
    "messageAuditId": "c3a7df81-2ace-438f-939a-7625434574e6",
    "messageId": "60bc8a93-8c53-429e-828a-da655b2f05be",
    "messageAuditTypeId": "39dffac6-d295-4ba2-9c10-03224f41e801",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:44.7725222+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.7725222+00:00"
  },
  {
    "messageAuditId": "c3a7df81-2ace-438f-939a-7625434574e6",
    "messageId": "60bc8a93-8c53-429e-828a-da655b2f05be",
    "messageAuditTypeId": "39dffac6-d295-4ba2-9c10-03224f41e801",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-11-13T23:59:44.7725222+00:00",
    "updatedDateUtc": "2026-11-13T23:59:44.7725222+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfMessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.7725222+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.7725222+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>c3a7df81-2ace-438f-939a-7625434574e6</MessageAuditId>
    <MessageAuditTypeId>39dffac6-d295-4ba2-9c10-03224f41e801</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>60bc8a93-8c53-429e-828a-da655b2f05be</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.7725222+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.7725222+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>c3a7df81-2ace-438f-939a-7625434574e6</MessageAuditId>
    <MessageAuditTypeId>39dffac6-d295-4ba2-9c10-03224f41e801</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>60bc8a93-8c53-429e-828a-da655b2f05be</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:44.7725222+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:44.7725222+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>c3a7df81-2ace-438f-939a-7625434574e6</MessageAuditId>
    <MessageAuditTypeId>39dffac6-d295-4ba2-9c10-03224f41e801</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>60bc8a93-8c53-429e-828a-da655b2f05be</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
</ArrayOfMessageAuditRepresentation>